Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.definition
Interface TemplateDefinition

All Superinterfaces
  Serializable

All Known Implementing Classes:
  CommunityDefinition, DesktopDefinition

    public interface TemplateDefinition

extends Serializable

TemplateDefinition - represents entities that can be used as templates.

This interface is intended to be implemented only by Oracle Weblogic Portal. Oracle Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal.

Method Summary
`LocalizationResource` | `getLocalizationResource()` Returns the `LocalizationResource` associated with this template based on the locale of the request used for retrieving the menu.
`TemplateId` | `getTemplateId()` Returns the `TemplateId` of this template.
`TemplateTypeDefinition.TemplateType` | `getTemplateType()` Returns the `TemplateTypeDefinition.TemplateType` associated with this template
`com.bea.netuix.application.identifier.TemplateTypeId` | `getTemplateTypeId()` Returns the `TemplateTypeId` associated with this template
`String` | `getWebAppName()` Returns the name of the web application this template resides in

Method Detail

### getLocalizationResource

    LocalizationResource getLocalizationResource()

  Returns the `LocalizationResource` associated with this template based on the locale of the request used for retrieving the menu.

  Returns
    `LocalizationResource` associated with this template

### getWebAppName

    String getWebAppName()

  Returns the name of the web application this template resides in

  Returns
    web app name

### getTemplateTypeId

    com.bea.netuix.application.identifier.TemplateTypeId getTemplateTypeId()

  Returns the `TemplateTypeId` associated with this template

  Returns
    template type id

### getTemplateType

    TemplateTypeDefinition.TemplateType getTemplateType()

  Returns the `TemplateTypeDefinition.TemplateType` associated with this template

  Returns
    template type

### getTemplateId

    TemplateId getTemplateId()

  Returns the `TemplateId` of this template.

  Returns
    template id

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.